mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_send_request()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_send_request | ( | mobilebackup2_client_t | client,
|  | const char * | request,
|  | const char * | target_identifier,
|  | const char * | source_identifier,
|  | plist_t | options )

Send a request to the connected mobilebackup2 service.

Parameters

  client |
  request | The request to send to the backup service. Currently, this is one of "Backup", "Restore", "Info", or "List".
  target_identifier | UDID of the target device.
  source_identifier | UDID of backup data?
  options | Additional options in a plist of type PLIST_DICT.

Returns
  MOBILEBACKUP2_E_SUCCESS if the request was successfully sent, or a MOBILEBACKUP2_E_* error value otherwise.